package com.jeequan.jeepay.core.interfaces.paychannel;

import com.jeequan.jeepay.core.entity.MchApplyment;
import com.jeequan.jeepay.core.model.applyment.ApplymentSignInfo;
import com.jeequan.jeepay.core.model.applyment.PaywayFee;
import com.jeequan.jeepay.core.model.rqrs.msg.ChannelRetMsg;

import java.util.List;

/***
* 特约商户 微信配置项
*
* @author terrfly
*
* @date 2022/01/17 09:52
*/
public interface IIsvmchWxConfigService {

    /** 查询已经配置的支付参数 **/
    String queryConfiguredInfo(String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 绑定微信appId **/
    ChannelRetMsg configBindAppId(String configAppId, String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 设置关注公众号appId **/
    ChannelRetMsg configSubscribeAppId(String configAppId, String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 申请更改： 商户简称的配置 **/
    ChannelRetMsg applyModifyMchShortName(String mchShortName, String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 申请更改： 商户简公钥 **/
    ChannelRetMsg applyModifyMchAppPublicKey(String appPublicKey, String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 微信开户意愿查询  **/
    ApplymentSignInfo wxOpenSignInfo(MchApplyment mchApplyment);

    /** 设置微信 支付授权目录 **/
    ChannelRetMsg configPayBaseUrl(String configBaseUrl, String isvNo, String mchNo, String mchAppId, String ifCode);

    /** 申请更改： 支付费率申请 **/
    ChannelRetMsg applyModifyMchRate(List<PaywayFee> paywayFeeList, String isvNo, String mchNo, String mchAppId, String ifCode);

}
